Subject: Re: [Bitcoin-development] Multisignature transaction support in the GUI

From: Aidan Thornton <[email-masked]>
Date: Tue, 7 Feb 2012 11:52:19 +0000

On Mon, Feb 6, 2012 at 5:27 PM, Wladimir <[email-masked]> wrote:
> Change BitcoinAddressValidator::MaxAddressLength to 35
> The addresses are validated with walletmodel->validateAddress which in turn
> calls CBitcoinAddress addressParsed(addr) and then isValid(). Does this work
> for the new addresses?

Should do (unless BIP 16 broke something). In fact both the GUI and
RPC commands use CBitcoinAddress and IsValid to validate addresses in
that way.

> And maybe WalletModel::sendCoins has to be changed.
> Does CScript.SetBitcoinAddress work for the new address type?

Again, should do, and it's used by the RPC commands for sending
Bitcoins as well. Really there's not a lot that needs to be changed.
I'm pretty sure even the change in MaxAddressLength is only necessary
to send coins to multisig addresses on testnet, sending them on
mainnet should just work.